import { Plugin } from 'esbuild';
import { FileFilterOptions } from './types.js';

interface ScriptableDeployOptions {
    /**
     * Whether to show detailed logs during deployment
     * Default: false
     */
    verbose?: boolean;
    /**
     * Whether to continue building when deployment fails
     * Default: true
     */
    continueOnError?: boolean;
    /**
     * Custom Scriptable directory path
     * If not specified, will automatically search in iCloud Drive
     */
    scriptableDir?: string;
    /**
     * Custom file filter function
     * @param fileName Output file name
     * @returns Whether to deploy this file
     */
    filter?: FileFilterOptions;
}
declare function scriptableDeploy(options?: ScriptableDeployOptions): Plugin;

export { type ScriptableDeployOptions, scriptableDeploy };
